#include "PPU.h"

int CLK = 0;

// Basic logic
#define BIT(n)     ( (n) & 1 )
int NOT(int a) { return (~a & 1); }
int NAND(int a, int b) { return ~((a & 1) & (b & 1)) & 1; }
int NOR(int a, int b) { return ~((a & 1) | (b & 1)) & 1; }

void PPUStep ()
{
    CLK ^= 1;
    CLK = BIT(CLK);
}
